@import (once) "theme";

.center  { text-align: center; }
.vmiddle { vertical-align: middle; }
.left    { text-align: left; }
.right   { text-align: right; }
.justify { text-align: justify; }

.float-left    { float: left; }
.float-right   { float: right; }

.small { color: @myhordes-smalltext; font-size: 1.1rem; }
.medium { font-size: 1.6rem; }
.critical { color: #f86000; font-weight: bold }

.pointer {cursor: pointer;}
.no-ws { font-size: 0 }

h5 {
  margin: 15px 0 2px;
  font-variant: small-caps; font-weight: bold; color: @myhordes-smalltext;
  border-bottom: 2px solid @myhordes-smalltext;
  background: linear-gradient(to top, #643b25 0%, rgba(100, 59, 37, 0) 50%, rgba(100, 59, 37, 0) 100%);
}


*[disabled] { pointer-events: none; filter: saturate(0%) contrast(50%) brightness(110%); }

img.fit { width: 100%; }

.bold { font-weight: bold }
.italic { font-style: italic  }

.hidden,.hidden-empty:empty { display: none!important; }

.link {
	cursor: pointer;
	text-decoration: underline;
	color: @myhordes-smalltext;
	&:hover {
		color: white;
	}
}

button {
	img { margin-right: 5px; }
}

.content-center-vertical { display: flex; align-items: center; }

.pad { padding: 5px; }

div.band {
	border: 1px solid @myhordes-smalltext; position: relative; text-align: center; height: 0; margin: 30px 0;
	filter: drop-shadow(0 0 4px black);
	>span {
		display: inline-block; position: relative; top: -15px; height: 30px; text-transform: uppercase;
		background: @myhordes-smalltext; color: white; padding: 5px 15px; font-weight: bold; border-radius: 15px;
	}
}